Updates to RFC Publication Formats
Internet-Draft draft-hoffman-pub-format-updates-01
Paul Hoffman
ICANN
paul.hoffman@icann.org
11 April 2024
Internet-Draft
draft-rswg-rfc7990-updates, the successor to RFC 7990, defines the definitive version of an RFC as a published RFC with is in RFCXML. It defines publication versions of the RFC as published RFCs in the publication formats such as PDF, plain text, and HTML. draft-rswg-xml2rfcv3-implemented is updating the specification for the RFCXML format.
This document updates some of the publication formats, specifically updating RFC 7992, RFC 7994, RFC 7995, and RFC 8153. Because RFC 7990 mentions some of the features of the publication formats, this document also updates RFC 7990.
There is a repository for this draft at https://github.com/paulehoffman/pub-format-updates.
Introduction
This document updates the RFCs that define the publication formats for RFCs in plain-text and HTML formats. It updates "HTML Format for RFCs" ([RFC7992]), "Requirements for Plain-Text RFCs" ([RFC7994]), and two documents about the PDF format, "PDF Format for RFCs" ([RFC7995]) and "Digital Preservation Considerations for the RFC Series" ([RFC8153]).
Future versions of this draft might also update "Cascading Style Sheets (CSS) Requirements for RFCs" ([RFC7993]), "SVG Drawings for RFCs: SVG 1.2 RFC" ([RFC7996]), and "'xml2rfc' Version 3 Preparation Tool Description" ([RFC7998]), but does not do so yet.
Because [RFC7990] mentions some of the features of the publication, this document also updates [RFC7990].
It is important to note that this document does not update [I-D.rswg-xml2rfcv3-implemented]. That is, this document updates only some of the publication formats for RFCs, not the definitive format (RFCXML).
PDF Publication Format
Move Requirement from PDF/A-3 to PDF/A
This document updates [RFC7995] and [RFC8153] by changing the requirement from using the PDF/A-3 standard to using the PDF/A standard, and by dropping the requirement that the XML be embedded in the PDF publication version. Other parts of [RFC8153], particularly the need to archive metadata about RFCs, are not changed.
HTML Publication Format
Additional Information about an RFC
This document significantly changes Section 6 of [RFC7992] to say that the front matter will contain significantly more information than is specified in [RFC7992]. In specific, the HTML will include the metadata currently visible in the "HTMLized" version of RFCs seen in the IETF Datatracker. This includes links to the following:
- The Datatracker page for the RFC
- Errata for the RFC
- How to report errata for the RFC
- The Datatracker page(s) for the author(s) of the RFC
It will also include a link to the Datatracker page for the draft that became the RFC, links to including earlier versions of that draft, and the ability to comapre earlier version of the RFC with the RFC and with each other.
JavaScript
Section 2 of [RFC7992] says:
- JavaScript ... may, on a limited basis, add additional text that provides post-publication metadata or pointers if warranted. All such text will be clearly marked as additional.
This is updated to say:
- JavaScript ... may add text that provides post-publication metadata or pointers.
Plain Text Publication Format
Line Length
Section 4.3 of [RFC7994] says:
- Each line must be limited to 72 characters followed by the character sequence that denotes an end-of-line (EOL).
This document updates that limit to 100 characters for tables and figures (such as examples, blocks of code, ASCII art, and so on). The primary reason for this update is that the 72-character limit forced document authors to constrain the figures they use. With a wider maximum line limit, those authors can construct more accurate and more useful examples, and thus improve the quality of the RFC Series. The RPC will still wrap headings and lines of running text at 72 characters.
Note that the 72-character limit was imposed when RFCs were all in the plain-text format and commonly printed on printers with an 80-character line limit. Printing from the plain-text format of modern RFCs happens tremendously less often than earlier. Even in cases where someone prints a plain-text publication format RFC with lines longer than what that can fit on the page, the reader will immediately see the problem and can instead read from the HTML or PDF format for the same RFC.
Pagination
Secton 4 of [RFC7994] says:
- One plain-text output will be created during the publication process with basic pagination that includes a form feed instruction every 58 lines at most, including blank lines.
This document updates that to say:
- The plain-text output will be created during the publication process with no pagination.
The RPC has not been paginating the text output of RFCs since when it started issuing the three publication formats, so this change does not affect the operation of the RPC, and simply reflects reality.
IANA Considerations
This document has no IANA considerations.
Security Considerations
Changing the formats for publication versions of RFCs is not expected to cause any security issues.
Acknowledgments
This document is inspired by many suggestions from many people in the RSWG.
References
Normative References
[RFC7990]

RFC Format Framework
H. Flanagan
December 2016
RFC 7990
DOI 10.17487/RFC7990
[RFC7992]

HTML Format for RFCs
J. Hildebrand, Ed.
P. Hoffman
December 2016
RFC 7992
DOI 10.17487/RFC7992
[RFC7994]

Requirements for Plain-Text RFCs
H. Flanagan
December 2016
RFC 7994
DOI 10.17487/RFC7994
[RFC7995]

PDF Format for RFCs
T. Hansen, Ed.
L. Masinter
M. Hardy
December 2016
RFC 7995
DOI 10.17487/RFC7995
[RFC8153]

Digital Preservation Considerations for the RFC Series
H. Flanagan
April 2017
RFC 8153
DOI 10.17487/RFC8153
Informative References
[I-D.rswg-xml2rfcv3-implemented]

The "xml2rfc" version 3 Vocabulary as Implemented
John R. Levine
Standcore
Paul E. Hoffman
ICANN
3 March 2024
Internet-Draft draft-rswg-xml2rfcv3-implemented-03
[RFC7993]

Cascading Style Sheets (CSS) Requirements for RFCs
H. Flanagan
December 2016
RFC 7993
DOI 10.17487/RFC7993
[RFC7996]

SVG Drawings for RFCs: SVG 1.2 RFC
N. Brownlee
December 2016
RFC 7996
DOI 10.17487/RFC7996
[RFC7998]

"xml2rfc" Version 3 Preparation Tool Description
P. Hoffman
J. Hildebrand
December 2016
RFC 7998
DOI 10.17487/RFC7998